$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.21.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.21.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D48D66A7B8D12CBFB5F5808772A4A7EC35115F0BC726939CCD7F4D0E810EB037'
  checksumType = 'sha256'
  checksum64 = 'D48D66A7B8D12CBFB5F5808772A4A7EC35115F0BC726939CCD7F4D0E810EB037'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.21-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
